# Payment List

To make this request, send an authenticated request to the transactions endpoint.

## Get a list of your transactions

<mark style="color:blue;">`GET`</mark> `https://api.oneappgo.com/v1/business/transactions`

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```php
curl --location --request GET 'https://api.oneappgo.com/v1/business/transactions' \
--header 'Authorization: Bearer YOUR_SECRET_KEY'
```

{% endtab %}

{% tab title="NodeJs" %}

```javascript
var https = require('follow-redirects').https;
var fs = require('fs');

var options = {
  'method': 'GET',
  'hostname': 'api.oneappgo.com',
  'path': '/v1/business/transactions',
  'headers': {
    'Authorization': 'Bearer YOUR_SECRET_KEY'
  },
  'maxRedirects': 20
};

var req = https.request(options, function (res) {
  var chunks = [];

  res.on("data", function (chunk) {
    chunks.push(chunk);
  });

  res.on("end", function (chunk) {
    var body = Buffer.concat(chunks);
    console.log(body.toString());
  });

  res.on("error", function (error) {
    console.error(error);
  });
});

req.end();
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/business/transactions',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer YOUR_SECRET_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.oneappgo.com/v1/business/transactions"

payload={}
headers = {
  'Authorization': 'Bearer YOUR_SECRET_KEY'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}
{% endtabs %}

## Sample response

```json
{
    "status": true,
    "transtotal": 28,
    "message": "Successful",
    "data": [
        {
            "transtatus": "1",
            "transid": "1000822",
            "ownerid": "63490",
            "amount": "600.00",
            "amount_settled": "585.00",
            "transfee": "15.00",
            "prevbal": "1170.00",
            "newbal": "1755.00",
            "currency": "NGN",
            "reference": "63490b1643147009297",
            "customer_reference": "72_1643147008",
            "transaction_token": "57f6a2fdff12e6eedce224573fcf549a",
            "customer_email": "example@gmail.com",
            "customer_name": " ",
            "payment_channel": "paystack",
            "paid_through": "api",
            "keytype": "test",
            "payment_time": "25 Jan 2022 10:43 pm",
            "gateway": "Paystack",
            "gatewaylogo": "https://business.1app.online/app/img/paystack.png"
        },
        {
            "transtatus": "1",
            "transid": "1000821",
            "ownerid": "63490",
            "amount": "500.00",
            "amount_settled": "487.50",
            "transfee": "12.50",
            "prevbal": "682.50",
            "newbal": "1170.00",
            "currency": "NGN",
            "reference": "63490b1643145404317",
            "customer_reference": "71_1643145404",
            "transaction_token": "82e57f719630a5884cd905ba040ba24f",
            "customer_email": "example@gmail.com",
            "customer_name": " ",
            "payment_channel": "paystack",
            "paid_through": "api",
            "keytype": "test",
            "payment_time": "25 Jan 2022 10:16 pm",
            "gateway": "Paystack",
            "gatewaylogo": "https://business.1app.online/app/img/paystack.png"
        },
        {
            "transtatus": "1",
            "transid": "1000733",
            "ownerid": "63490",
            "amount": "400.00",
            "amount_settled": "390.00",
            "transfee": "10.00",
            "prevbal": "292.50",
            "newbal": "682.50",
            "currency": "NGN",
            "reference": "63490b1642785755761",
            "customer_reference": "69_1642785754",
            "transaction_token": "c8cddd37b88065a22a053d7fdbe65383",
            "customer_email": "example@gmail.com",
            "customer_name": " ",
            "payment_channel": "paystack",
            "paid_through": "api",
            "keytype": "test",
            "payment_time": "21 Jan 2022 06:22 pm",
            "gateway": "Paystack",
            "gatewaylogo": "https://business.1app.online/app/img/paystack.png"
        },
        {
            "transtatus": "1",
            "transid": "1000730",
            "ownerid": "63490",
            "amount": "300.00",
            "amount_settled": "292.50",
            "transfee": "7.50",
            "prevbal": "0.00",
            "newbal": "292.50",
            "currency": "NGN",
            "reference": "63490b1642783606583",
            "customer_reference": "68_1642783606",
            "transaction_token": "ae9b29fc93be32684f5cbde8d2c5e6c9",
            "customer_email": "example@gmail.com",
            "customer_name": " ",
            "payment_channel": "paystack",
            "paid_through": "api",
            "keytype": "test",
            "payment_time": "21 Jan 2022 05:46 pm",
            "gateway": "Paystack",
            "gatewaylogo": "https://business.1app.online/app/img/paystack.png"
        }
    ]
}
```
